MCX(4)

NAME
mcx - Mellanox 5th generation Ethernet device

SYNOPSIS
mcx* at pci?

DESCRIPTION
The mcx driver supports Mellanox 5th generation Ethernet devices. Chipsets and cards in this group include:

•   ConnectX-4 Lx EN
•   ConnectX-4 EN
•   ConnectX-5 EN
•   ConnectX-6 EN
•   ConnectX-6 Dx EN
•   ConnectX-6 Lx EN

It supports SR-IOV virtual functions as well as physical functions.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The mcx driver first appeared in OpenBSD 6.6.

AUTHORS
The mcx driver was written by Jonathan Matthew <jmatthew@openbsd.org> and David Gwynne <dlg@openbsd.org>.